Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022831
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-01-17 18:032013-01-25 14:29
ReporterjecharriView Statuspublic 
Assigned Toguilleaer 
PriorityimmediateResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchFixed in SCM revision5fbf2def97cd
ProjectionnoneETAnoneTarget VersionRMP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP18SCM revision 
Review Assigned Tojecharri
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022831: Pack does not work in the ERP

DescriptionPack does not work in the ERP.

If you define one pack and you add to the sales order, you will see that grandtotal has a lot of decimals ans also the gross amount is not the same like you have defined in window "discounts and promotions".
Steps To Reproduce-Go to window "discounts and promotions".

-Create a pack and set the price 10.33
add more than one product.

-go to "sales order" and push in "add pack"

-add the previously defined pack and book the order.

Verify that the column grandtotal has a lot of decimals
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055613)
hgbot (developer)
2013-01-18 14:45

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: add36cb6de0974b6a37c23a9170b34548c288069
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jan 18 14:44:23 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/add36cb6de0974b6a37c23a9170b34548c288069 [^]

fixed issue 22831: rounding some numbers when pack is added from ERP

---
M src-db/database/model/functions/OBDISC_PACK.xml
---
(0055654)
jecharri (developer)
2013-01-21 09:54

Verified and it is working
(0055678)
hgbot (developer)
2013-01-21 14:27

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: 5fbf2def97cdfe2147f27b6f179be50037997f6a
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jan 18 14:44:23 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/5fbf2def97cdfe2147f27b6f179be50037997f6a [^]

fixed issue 22831: rounding some numbers when pack is added from ERP

---
M src-db/database/model/functions/OBDISC_PACK.xml
---

- Issue History
Date Modified Username Field Change
2013-01-17 18:03 jecharri New Issue
2013-01-17 18:03 jecharri Assigned To => adrianromero
2013-01-17 18:05 jecharri Steps to Reproduce Updated View Revisions
2013-01-17 18:23 jecharri Assigned To adrianromero => guilleaer
2013-01-18 14:45 hgbot Checkin
2013-01-18 14:45 hgbot Note Added: 0055613
2013-01-18 14:45 hgbot Status new => resolved
2013-01-18 14:45 hgbot Resolution open => fixed
2013-01-18 14:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/add36cb6de0974b6a37c23a9170b34548c288069 [^]
2013-01-21 09:54 jecharri Review Assigned To => jecharri
2013-01-21 09:54 jecharri Note Added: 0055654
2013-01-21 09:54 jecharri Status resolved => closed
2013-01-21 14:27 hgbot Checkin
2013-01-21 14:27 hgbot Note Added: 0055678
2013-01-21 14:27 hgbot Status closed => resolved
2013-01-21 14:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/add36cb6de0974b6a37c23a9170b34548c288069 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/5fbf2def97cdfe2147f27b6f179be50037997f6a [^]
2013-01-25 14:29 jecharri Status resolved => closed
2013-01-25 14:29 jecharri Fixed in Version => RMP19


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker